| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# IHistogramSvc Class Reference

`#include <GaudiKernel/IHistogramSvc.h>`

Inheritance diagram for IHistogramSvc:

[legend]
Collaboration diagram for IHistogramSvc:

[legend]

List of all members.

## Detailed Description

Definition of the IHistogramSvc interface class.

Author:
  Pavel Binko and Anatael Cabrera

Definition at line 51 of file IHistogramSvc.h.

## Public Member Functions
virtual AIDA::IHistogramFactory * | histogramFactory ()=0
| Retrieve the AIDA HistogramFactory interface.
virtual AIDA::IHistogram1D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX)=0
| Book histogram and register it with the histogram data store.
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, const std::string &opt="")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, double lowY, double highY, const std::string &opt="s")=0
virtual AIDA::IHistogram1D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram1D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &fullPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IProfile1D * | bookProf (DataObject *pParent, int hID, const std::string &title, std::vector< double > edges)=0
virtual AIDA::IHistogram2D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY)=0
virtual AIDA::IHistogram2D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram2D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IProfile2D * | bookProf (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY)=0
virtual AIDA::IHistogram3D * | book (const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, int hID, const std::string &title, int binsX, double lowX, double highX, int binsY, double lowY, double highY, int binsZ, double lowZ, double highZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &fullPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (const std::string &dirPath, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, const std::string &relPath, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual AIDA::IHistogram3D * | book (DataObject *pParent, int hID, const std::string &title, std::vector< double > edgesX, std::vector< double > edgesY, std::vector< double > edgesZ)=0
virtual StatusCode | registerObject (const std::string &fullPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (const std::string &parentPath, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (const std::string &parentPath, int item, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (DataObject *parentObj, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (DataObject *parentObj, int item, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | registerObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj, const std::string &objectPath)=0
virtual StatusCode | unregisterObject (AIDA::IBaseHistogram *hObj, int item)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &fullPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | retrieveObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &fullPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, AIDA::IHistogram3D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (const std::string &parentPath, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, const std::string &objPath, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (DataObject *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile1D *&h1dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IProfile2D *&h2dObj)=0
virtual StatusCode | findObject (AIDA::IBaseHistogram *parentObj, int item, AIDA::IHistogram3D *&h3dObj)=0
virtual std::ostream & | print (AIDA::IBaseHistogram *h, std::ostream &s=std::cout) const =0
virtual std::ostream & | write (AIDA::IBaseHistogram *h, std::ostream &s=std::cout) const =0
| Write (ASCII) the histogram table into the output stream.
virtual int | write (AIDA::IBaseHistogram *h, const char *file_name) const =0
| Write (ASCII) the histogram table into a file.
virtual DataObject * | createPath (const std::string &newPath)=0
virtual DataObject * | createDirectory (const std::string &parentDir, const std::string &subDir)=0
| Create a sub-directory in a directory.
virtual StatusCode | registerObject (const std::string &fullPath, DataObject *pObject)=0
| Re-declaring this here avoids a compiler warning about hidden functions.
virtual StatusCode | registerObject (const std::string &parentPath, const std::string &objectPath, DataObject *pObject)=0
| Register object with the data store.
virtual StatusCode | registerObject (const std::string &parentPath, int item, DataObject *pObject)=0
| Register object with the data store.
virtual StatusCode | registerObject (DataObject *parentObj, const std::string &objectPath, DataObject *pObject)=0
| Register object with the data store.
virtual StatusCode | registerObject (DataObject *parentObj, int item, DataObject *pObject)=0
| Register object with the data store.
virtual StatusCode | unregisterObject (const std::string &fullPath)=0
| Unregister object from the data store.
virtual StatusCode | unregisterObject (const std::string &parentPath, const std::string &objPath)=0
| Unregister object from the data store.
virtual StatusCode | unregisterObject (const std::string &parentPath, int item)=0
| Unregister object from the data store.
virtual StatusCode | unregisterObject (DataObject *pObject)=0
| Unregister object from the data store.
virtual StatusCode | unregisterObject (DataObject *pParent, const std::string &objPath)=0
| Unregister object from the data store.
virtual StatusCode | unregisterObject (DataObject *pParent, int item)=0
| Unregister object from the data store.
virtual StatusCode | retrieveObject (IRegistry *pDirectory, const std::string &path, DataObject *&pObject)=0
| Retrieve object identified by its directory entry.
virtual StatusCode | retrieveObject (const std::string &fullPath, DataObject *&pObject)=0
| Retrieve object identified by its full path from the data store.
virtual StatusCode | retrieveObject (const std::string &parentPath, const std::string &objectPath, DataObject *&pObject)=0
| Retrieve object from data store.
virtual StatusCode | retrieveObject (const std::string &parentPath, int item, DataObject *&pObject)=0
| Retrieve object from data store.
virtual StatusCode | retrieveObject (DataObject *parentObj, const std::string &objectPath, DataObject *&pObject)=0
| Retrieve object from data store.
virtual StatusCode | retrieveObject (DataObject *parentObj, int item, DataObject *&pObject)=0
| Retrieve object from data store.
virtual StatusCode | findObject (IRegistry *pDirectory, const std::string &path, DataObject *&pObject)=0
| Find object identified by its directory entry.
virtual StatusCode | findObject (const std::string &fullPath, DataObject *&pObject)=0
| Find object identified by its full path in the data store.
virtual StatusCode | findObject (const std::string &parentPath, const std::string &objectPath, DataObject *&pObject)=0
| Find object identified by its parent object and the path to the object relative to the parent.
virtual StatusCode | findObject (const std::string &parentPath, int item, DataObject *&pObject)=0
| Find object identified by its parent object and an integer identifier in the data store.
virtual StatusCode | findObject (DataObject *pNode, const std::string &objectPath, DataObject *&pObject)=0
| Find object identified by its parent object and the path to the object relative to the parent.
virtual StatusCode | findObject (DataObject *parentObj, int item, DataObject *&pObject)=0
| Find object identified by its parent object and an integer identifier in the data store.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IHistogramSvc::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IDataProviderSvc.

Definition at line 56 of file IHistogramSvc.h.

    00056 { return IID_IHistogramSvc; }

virtual AIDA::IHistogramFactory* IHistogramSvc::histogramFactory | ( |  | ) | `[pure virtual]`

Retrieve the AIDA HistogramFactory interface.

Implemented in HistogramSvc.

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX |
| ) |  |  | `[pure virtual]`

Book histogram and register it with the histogram data store.

Parameters:

  | fullPath | Full path to the node of the object. The basename (last part of the fullPath) has to be an integer number (otherwise conversion to HBOOK is not possible)
  | dirPath | Path to parent node of the object, the directory the histogram will be stored in.
  | pParent | Pointer to parent node
  | relPath | Histogram identifier (std::string), the relative path to the object with respect to the parent node
  | hID | Histogram identifier (int) of the histogram
  | title | Title property of the histogram
  | binsX/Y | Number of bins on the axis X/Y
  | lowX/Y | Lower histogram edge on the axis X/Y
  | highX/Y | Upper histogram edge on the axis X/Y

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | const std::string & | opt = `""` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | double | lowY,
|  | double | highY,
|  | const std::string & | opt = `"s"` |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram1D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile1D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edges |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram2D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IProfile2D* IHistogramSvc::bookProf | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | int | binsX,
|  | double | lowX,
|  | double | highX,
|  | int | binsY,
|  | double | lowY,
|  | double | highY,
|  | int | binsZ,
|  | double | lowZ,
|  | double | highZ |
| ) |  |  | `[pure virtual]`

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | fullPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | const std::string & | dirPath,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | const std::string & | relPath,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual AIDA::IHistogram3D* IHistogramSvc::book | ( | DataObject * | pParent,
|  | int | hID,
|  | const std::string & | title,
|  | std::vector< double > | edgesX,
|  | std::vector< double > | edgesY,
|  | std::vector< double > | edgesZ |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | fullPath,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IBaseHistogram * | hObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj | ) | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj,
|  | const std::string & | objectPath |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | AIDA::IBaseHistogram * | hObj,
|  | int | item |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | AIDA::IHistogram3D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | const std::string & | objPath,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile1D *& | h1dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IProfile2D *& | h2dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | AIDA::IBaseHistogram * | parentObj,
|  | int | item,
|  | AIDA::IHistogram3D *& | h3dObj |
| ) |  |  | `[pure virtual]`

Implemented in HistogramSvc.

virtual std::ostream& IHistogramSvc::print | ( | AIDA::IBaseHistogram * | h,
|  | std::ostream & | s = `std::cout` |
| ) |  |  | const`[pure virtual]`

Implemented in HistogramSvc.

virtual std::ostream& IHistogramSvc::write | ( | AIDA::IBaseHistogram * | h,
|  | std::ostream & | s = `std::cout` |
| ) |  |  | const`[pure virtual]`

Write (ASCII) the histogram table into the output stream.

Implemented in HistogramSvc.

virtual int IHistogramSvc::write | ( | AIDA::IBaseHistogram * | h,
|  | const char * | file_name |
| ) |  |  | const`[pure virtual]`

Write (ASCII) the histogram table into a file.

Implemented in HistogramSvc.

virtual DataObject* IHistogramSvc::createPath | ( | const std::string & | newPath | ) | `[pure virtual]`

Implemented in HistogramSvc.

virtual DataObject* IHistogramSvc::createDirectory | ( | const std::string & | parentDir,
|  | const std::string & | subDir |
| ) |  |  | `[pure virtual]`

Create a sub-directory in a directory.

Parameters:

  | parentDir | name of the parent directory
  | subDir | to identify the histogram object in the store returns pointer to DataObject (NULL on failure)

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | fullPath,
|  | DataObject * | pObject |
| ) |  |  | `[pure virtual]`

Re-declaring this here avoids a compiler warning about hidden functions.

Refer to ARM Page 210.

Implements IDataProviderSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | const std::string & | objectPath,
|  | DataObject * | pObject |
| ) |  |  | `[pure virtual]`

Register object with the data store.

Connect the object identified by the path to the parent object and the path of the object itself relative to the specified parent.

Parameters:

  | parentPath | Path to parent node of the object.
  | objectPath | Path of the object relative to the parent node
  | pObject | Pointer to the object to be registered.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | const std::string & | parentPath,
|  | int | item,
|  | DataObject * | pObject |
| ) |  |  | `[pure virtual]`

Register object with the data store.

Connect the object identified by its pointer to the parent object and an integer identifier.

Parameters:

  | parentPath | Path to parent node of the object.
  | item | item number of the object linked to the parent
  | pObject | Pointer to the object to be registered.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | const std::string & | objectPath,
|  | DataObject * | pObject |
| ) |  |  | `[pure virtual]`

Register object with the data store.

Connect the object identified by its pointer to the parent object and the relative path of the object with respect to the parent.

Parameters:

  | parentObj | Pointer to parent object.
  | objectPath | Path of the object relative to the parent node
  | pObject | Pointer to the object to be connected.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::registerObject | ( | DataObject * | parentObj,
|  | int | item,
|  | DataObject * | pObject |
| ) |  |  | `[pure virtual]`

Register object with the data store.

Connect the object identified by its pointer to the node object identified by its pointer.

Parameters:

  | parentObj | Pointer to parent object.
  | item | item number of the object linked to the parent
  | pObject | Pointer to the object to be connected.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | const std::string & | fullPath | ) | `[pure virtual]`

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by full path name.

Parameters:

  | fullPath | Path name of the object.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | const std::string & | parentPath,
|  | const std::string & | objPath |
| ) |  |  | `[pure virtual]`

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent path name and the path of the object relative to the parent.

Parameters:

  | parentPath | Path name of the parent object.
  | objPath | Path name of the object relative to the parent.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | const std::string & | parentPath,
|  | int | item |
| ) |  |  | `[pure virtual]`

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent path name and an integer identifier of the object itself.

Parameters:

  | parentPath | Path name of the parent object.
  | item | Integer identifier of the object item.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | DataObject * | pObject | ) | `[pure virtual]`

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by its pointer. The object must previously have been registered with the data store.

Parameters:

  | pObject | Pointer to the object.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | DataObject * | pParent,
|  | const std::string & | objPath |
| ) |  |  | `[pure virtual]`

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent object and the path of the object relative to the parent.

Parameters:

  | pParent | Pointer to parent object.
  | objPath | Path name of the object relative to the parent.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::unregisterObject | ( | DataObject * | pParent,
|  | int | item |
| ) |  |  | `[pure virtual]`

Unregister object from the data store.

On registration the client gives up ownership of the object and may no longer delete the object. unregistering the object is the opposite: ownership is claimed back by the user. But note:

- All depending objects will be deleted, ie. all leaves "below" the entry in question; NOT the object itself, the object itself must be destroyed by the user.

The object is identified by parent object and an integer identifier of the object itself.

Parameters:

  | pParent | Pointer to parent object.
  | item | Integer identifier of the object item.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Retrieve object identified by its directory entry.

The result will be returned in the second argument. In case the object is not present it will be loaded and converted if possible. ** FASTEST ACCESS TO THE DATA STORE **

Parameters:

  | pDirectory | Pointer to the object.
  | path | String with relative path to directory. Ideally ""!
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | fullPath,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Retrieve object identified by its full path from the data store.

The result will be returned in the second argument. In case the object is not present it will be loaded and converted if possible.

Parameters:

  | fullPath | Path name of the object.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | const std::string & | objectPath,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Retrieve object from data store.

The object to be retrieved is identified by the path of the parent object and the relative path with respect to the node. In case the object is not present it will be loaded and converted if possible.

Parameters:

  | parentPath | Path to parent node of the object.
  | objectPath | Path of the object relative to the parent.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | const std::string & | parentPath,
|  | int | item,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Retrieve object from data store.

The object to be retrieved is identified by the path to the parent object and an integer identifier. In case the object is not present it will be loaded and converted if possible.

Parameters:

  | parentPath | Path to parent node of the object.
  | item | Item identifier.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | const std::string & | objectPath,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Retrieve object from data store.

The object to be retrieved is identified by the pointer to the parent object and the relative path with respect to the node. In case the object is not present it will be loaded and converted if possible.

Parameters:

  | parentObj | Pointer to parent node of the object.
  | objectPath | Path of the object relative to the parent.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::retrieveObject | ( | DataObject * | parentObj,
|  | int | item,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Retrieve object from data store.

The object to be retrieved is identified by the pointer to the parent object and an integer identifier. In case the object is not present it will be loaded and converted if possible.

Parameters:

  | parentObj | Pointer to parent node of the object.
  | item | Item identifier.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | IRegistry * | pDirectory,
|  | const std::string & | path,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Find object identified by its directory entry.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL. ** FASTEST ACCESS TO THE DATA STORE **

Parameters:

  | pDirectory | Pointer to the object.
  | path | String with relative path to directory. Ideally ""!
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | fullPath,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Find object identified by its full path in the data store.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL.

Parameters:

  | fullPath | Path name of the object.
  | pObject | Pointer to the object to be connected.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | const std::string & | objectPath,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Find object identified by its parent object and the path to the object relative to the parent.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL.

Parameters:

  | parentPath | Path to parent node of the object.
  | objectPath | Relative path name of the object.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | const std::string & | parentPath,
|  | int | item,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Find object identified by its parent object and an integer identifier in the data store.

In case the object is not present the pointer will be set to NULL.

Parameters:

  | parentPath | Path to parent node of the object.
  | item | Item identifier.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | pNode,
|  | const std::string & | objectPath,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Find object identified by its parent object and the path to the object relative to the parent.

The result will be returned in the second argument. In case the object is not present the pointer will be set to NULL.

Parameters:

  | parentObj | Pointer to parent node of the object.
  | objectPath | Relative path name of the object.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

virtual StatusCode IHistogramSvc::findObject | ( | DataObject * | parentObj,
|  | int | item,
|  | DataObject *& | pObject |
| ) |  |  | `[pure virtual]`

Find object identified by its parent object and an integer identifier in the data store.

In case the object is not present the pointer will be set to NULL.

Parameters:

  | parentObj | Pointer to parent node of the object.
  | item | Item identifier.
  | pObject | Reference to the pointer of the object to be returned.

Returns:
  Status code indicating success or failure.

Implements IDataProviderSvc.

Implemented in HistogramSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/IHistogramSvc.h